[PATCH] systemd: fix DeprecationWarning about regexps


Martin Jansa
 

* fixes:
oe-core/meta/classes/package.bbclass:1342: DeprecationWarning: invalid escape sequence \.

Signed-off-by: Martin Jansa <Martin.Jansa@...>
---
meta/recipes-core/systemd/systemd_250.3.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-core/systemd/systemd_250.3.bb b/meta/recipes-core/systemd/systemd_250.3.bb
index 0fe5fb7976..9121333f56 100644
--- a/meta/recipes-core/systemd/systemd_250.3.bb
+++ b/meta/recipes-core/systemd/systemd_250.3.bb
@@ -352,7 +352,7 @@ do_install() {

python populate_packages:prepend (){
systemdlibdir = d.getVar("rootlibdir")
- do_split_packages(d, systemdlibdir, '^lib(.*)\.so\.*', 'lib%s', 'Systemd %s library', extra_depends='', allow_links=True)
+ do_split_packages(d, systemdlibdir, r'^lib(.*)\.so\.*', 'lib%s', 'Systemd %s library', extra_depends='', allow_links=True)
}
PACKAGES_DYNAMIC += "^lib(udev|systemd|nss).*"

--
2.35.1

Join openembedded-core@lists.openembedded.org to automatically receive all group messages.